org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class SackTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SackTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SackTest.Traversals

- Enclosing class:
    SackTest

      public static class SackTest.Traversals
      extends SackTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SackTest

      `SackTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Integer>` | `get_g_withBulkXfalseX_withSackX1_sumX_V_out_barrier_sack()`
    `Traversal<Vertex,Double>` | `get_g_withBulkXfalseX_withSackX1_sumX_VX1X_localXoutEXknowsX_barrierXnormSackX_inVX_inXknowsX_barrier_sack(Object v1Id)`
    `Traversal<Vertex,Double>` | `get_g_withSackX0X_V_outE_sackXsum_weightX_inV_sack_sum()`
    `Traversal<Vertex,Double>` | `get_g_withSackX0X_V_outE_sackXsumX_byXweightX_inV_sack_sum()`
    `Traversal<Vertex,Double>` | `get_g_withSackX0X_V_repeatXoutE_sackXsum_weightX_inVX_timesX2X_sack()`
    `Traversal<Vertex,Double>` | `get_g_withSackX0X_V_repeatXoutE_sackXsumX_byXweightX_inVX_timesX2X_sack()`
    `Traversal<Vertex,Double>` | `get_g_withSackX1_sumX_VX1X_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack(Object v1Id)`
    `Traversal<Vertex,Double>` | `get_g_withSackX2X_V_sackXdivX_byXconstantX3_0XX_sack()`
    `Traversal<Vertex,BigDecimal>` | `get_g_withSackXBigInteger_TEN_powX1000X_assignX_V_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack()`
    `Traversal<Vertex,String>` | `get_g_withSackXhelloX_V_outE_sackXassignX_byXlabelX_inV_sack()`
    `Traversal<Vertex,Map>` | `get_g_withSackXmap__map_cloneX_V_out_out_sackXmap_a_nameX_sack()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SackTest

      `g_withBulkXfalseX_withSackX1_sumX_V_out_barrier_sack, g_withBulkXfalseX_withSackX1_sumX_VX1X_localXoutEXknowsX_barrierXnormSackX_inVX_inXknowsX_barrier_sack, g_withSackX0X_V_outE_sackXsum_weightX_inV_sack_sum, g_withSackX0X_V_outE_sackXsumX_byXweightX_inV_sack_sum, g_withSackX0X_V_repeatXoutE_sackXsum_weightX_inVX_timesX2X_sack, g_withSackX0X_V_repeatXoutE_sackXsumX_byXweightX_inVX_timesX2X_sack, g_withSackX1_sumX_VX1X_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack, g_withSackX2X_V_sackXdivX_byXconstantX3_0XX_sack, g_withSackXBigInteger_TEN_powX1000X_assignX_V_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack, g_withSackXhelloX_V_outE_sackXassignX_byXlabelX_inV_sack, g_withSackXmap__map_cloneX_V_out_out_sackXmap_a_nameX_sack`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_withSackXhelloX_V_outE_sackXassignX_byXlabelX_inV_sack

          public Traversal<Vertex,String> get_g_withSackXhelloX_V_outE_sackXassignX_byXlabelX_inV_sack()

      Specified by:
        `get_g_withSackXhelloX_V_outE_sackXassignX_byXlabelX_inV_sack` in class `SackTest`

    - #### get_g_withSackX0X_V_outE_sackXsumX_byXweightX_inV_sack_sum

          public Traversal<Vertex,Double> get_g_withSackX0X_V_outE_sackXsumX_byXweightX_inV_sack_sum()

      Specified by:
        `get_g_withSackX0X_V_outE_sackXsumX_byXweightX_inV_sack_sum` in class `SackTest`

    - #### get_g_withSackX0X_V_repeatXoutE_sackXsumX_byXweightX_inVX_timesX2X_sack

          public Traversal<Vertex,Double> get_g_withSackX0X_V_repeatXoutE_sackXsumX_byXweightX_inVX_timesX2X_sack()

      Specified by:
        `get_g_withSackX0X_V_repeatXoutE_sackXsumX_byXweightX_inVX_timesX2X_sack` in class `SackTest`

    - #### get_g_withSackX0X_V_outE_sackXsum_weightX_inV_sack_sum

          public Traversal<Vertex,Double> get_g_withSackX0X_V_outE_sackXsum_weightX_inV_sack_sum()

      Specified by:
        `get_g_withSackX0X_V_outE_sackXsum_weightX_inV_sack_sum` in class `SackTest`

    - #### get_g_withSackX0X_V_repeatXoutE_sackXsum_weightX_inVX_timesX2X_sack

          public Traversal<Vertex,Double> get_g_withSackX0X_V_repeatXoutE_sackXsum_weightX_inVX_timesX2X_sack()

      Specified by:
        `get_g_withSackX0X_V_repeatXoutE_sackXsum_weightX_inVX_timesX2X_sack` in class `SackTest`

    - #### get_g_withSackXmap__map_cloneX_V_out_out_sackXmap_a_nameX_sack

          public Traversal<Vertex,Map> get_g_withSackXmap__map_cloneX_V_out_out_sackXmap_a_nameX_sack()

      Specified by:
        `get_g_withSackXmap__map_cloneX_V_out_out_sackXmap_a_nameX_sack` in class `SackTest`

    - #### get_g_withSackX1_sumX_VX1X_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack

          public Traversal<Vertex,Double> get_g_withSackX1_sumX_VX1X_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack(Object v1Id)

      Specified by:
        `get_g_withSackX1_sumX_VX1X_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack` in class `SackTest`

    - #### get_g_withBulkXfalseX_withSackX1_sumX_V_out_barrier_sack

          public Traversal<Vertex,Integer> get_g_withBulkXfalseX_withSackX1_sumX_V_out_barrier_sack()

      Specified by:
        `get_g_withBulkXfalseX_withSackX1_sumX_V_out_barrier_sack` in class `SackTest`

    - #### get_g_withBulkXfalseX_withSackX1_sumX_VX1X_localXoutEXknowsX_barrierXnormSackX_inVX_inXknowsX_barrier_sack

          public Traversal<Vertex,Double> get_g_withBulkXfalseX_withSackX1_sumX_VX1X_localXoutEXknowsX_barrierXnormSackX_inVX_inXknowsX_barrier_sack(Object v1Id)

      Specified by:
        `get_g_withBulkXfalseX_withSackX1_sumX_VX1X_localXoutEXknowsX_barrierXnormSackX_inVX_inXknowsX_barrier_sack` in class `SackTest`

    - #### get_g_withSackXBigInteger_TEN_powX1000X_assignX_V_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack

          public Traversal<Vertex,BigDecimal> get_g_withSackXBigInteger_TEN_powX1000X_assignX_V_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack()

      Specified by:
        `get_g_withSackXBigInteger_TEN_powX1000X_assignX_V_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack` in class `SackTest`

    - #### get_g_withSackX2X_V_sackXdivX_byXconstantX3_0XX_sack

          public Traversal<Vertex,Double> get_g_withSackX2X_V_sackXdivX_byXconstantX3_0XX_sack()

      Specified by:
        `get_g_withSackX2X_V_sackXdivX_byXconstantX3_0XX_sack` in class `SackTest`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.